summaryrefslogtreecommitdiffstats
path: root/src/vagrant/kubeadm
diff options
context:
space:
mode:
Diffstat (limited to 'src/vagrant/kubeadm')
-rwxr-xr-xsrc/vagrant/kubeadm/deploy.sh1
-rwxr-xr-xsrc/vagrant/kubeadm/istio/bookinfo.sh44
-rwxr-xr-xsrc/vagrant/kubeadm/istio/clean_bookinfo.sh29
-rwxr-xr-xsrc/vagrant/kubeadm/istio/deploy.sh58
-rwxr-xr-xsrc/vagrant/kubeadm/istio/istio.sh6
-rw-r--r--src/vagrant/kubeadm/worker_setup.sh2
6 files changed, 139 insertions, 1 deletions
diff --git a/src/vagrant/kubeadm/deploy.sh b/src/vagrant/kubeadm/deploy.sh
index c727483..0a3ead2 100755
--- a/src/vagrant/kubeadm/deploy.sh
+++ b/src/vagrant/kubeadm/deploy.sh
@@ -7,3 +7,4 @@ cd $DIR
../cleanup.sh
vagrant up
vagrant ssh master -c "/vagrant/multus/multus.sh"
+vagrant ssh master -c "/vagrant/istio/istio.sh"
diff --git a/src/vagrant/kubeadm/istio/bookinfo.sh b/src/vagrant/kubeadm/istio/bookinfo.sh
new file mode 100755
index 0000000..c4eef11
--- /dev/null
+++ b/src/vagrant/kubeadm/istio/bookinfo.sh
@@ -0,0 +1,44 @@
+#!/bin/bash
+#
+# Copyright (c) 2018 Huawei Technologies Canada Co., Ltd.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+set -ex
+
+cd /vagrant/istio-source/
+export PATH=$PWD/bin:$PATH
+
+# Run the test application: bookinfo
+kubectl apply -f <(istioctl kube-inject -f samples/bookinfo/platform/kube/bookinfo.yaml)
+
+# Define the ingress gateway for the application
+kubectl apply -f samples/bookinfo/networking/bookinfo-gateway.yaml
+
+# Wait for bookinfo deployed
+kubectl get services
+kubectl get pods
+
+r="0"
+while [ $r -ne "6" ]
+do
+ sleep 30
+ kubectl get pods
+ r=$(kubectl get pods | grep Running | wc -l)
+done
+
+# Validate the bookinfo app
+export GATEWAY_URL=$(kubectl get po -l istio=ingressgateway -n istio-system -o 'jsonpath={.items[0].status.hostIP}'):$(kubectl get svc istio-ingressgateway -n istio-system -o 'jsonpath={.spec.ports[0].nodePort}')
+curl -o /dev/null -s -w "%{http_code}\n" http://${GATEWAY_URL}/productpage
+
diff --git a/src/vagrant/kubeadm/istio/clean_bookinfo.sh b/src/vagrant/kubeadm/istio/clean_bookinfo.sh
new file mode 100755
index 0000000..7c539c0
--- /dev/null
+++ b/src/vagrant/kubeadm/istio/clean_bookinfo.sh
@@ -0,0 +1,29 @@
+#!/bin/bash
+#
+# Copyright (c) 2018 Huawei Technologies Canada Co., Ltd.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+set -ex
+
+cd /vagrant/istio-source/
+export PATH=$PWD/bin:$PATH
+
+# Clean up bookinfo
+echo "" | samples/bookinfo/platform/kube/cleanup.sh
+
+kubectl get virtualservices
+kubectl get destinationrules
+kubectl get gateway
+kubectl get pods
diff --git a/src/vagrant/kubeadm/istio/deploy.sh b/src/vagrant/kubeadm/istio/deploy.sh
new file mode 100755
index 0000000..e896580
--- /dev/null
+++ b/src/vagrant/kubeadm/istio/deploy.sh
@@ -0,0 +1,58 @@
+#!/bin/bash
+#
+# Copyright (c) 2018 Huawei Technologies Canada Co., Ltd.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+set -ex
+
+# Get latest istio version, refer: https://git.io/getLatestIstio
+if [ "x${ISTIO_VERSION}" = "x" ] ; then
+ ISTIO_VERSION=$(curl -L -s https://api.github.com/repos/istio/istio/releases/latest | \
+ grep tag_name | sed "s/ *\"tag_name\": *\"\(.*\)\",*/\1/")
+fi
+
+ISTIO_DIR_NAME="istio-$ISTIO_VERSION"
+
+cd /vagrant
+curl -L https://git.io/getLatestIstio | sh -
+mv $ISTIO_DIR_NAME istio-source
+cd /vagrant/istio-source/
+
+# Persistently append istioctl bin path to PATH env
+echo 'export PATH="$PATH:/vagrant/istio-source/bin"' >> ~/.bashrc
+echo "source <(kubectl completion bash)" >> ~/.bashrc
+source ~/.bashrc
+
+# Install Istio’s Custom Resource Definitions first
+kubectl apply -f install/kubernetes/helm/istio/templates/crds.yaml
+
+# Wait 30s for Kubernetes to register the Istio CRDs
+sleep 30
+
+kubectl apply -f install/kubernetes/istio-demo.yaml
+
+# Validate the installation
+kubectl get svc -n istio-system
+kubectl get pods -n istio-system
+kubectl get namespace -L istio-injection
+
+r="1"
+while [ $r -ne "0" ]
+do
+ sleep 30
+ kubectl get pods -n istio-system
+ r=$(kubectl get pods -n istio-system | egrep -v 'NAME|Running|Completed' | wc -l)
+done
+
diff --git a/src/vagrant/kubeadm/istio/istio.sh b/src/vagrant/kubeadm/istio/istio.sh
new file mode 100755
index 0000000..9c2caf6
--- /dev/null
+++ b/src/vagrant/kubeadm/istio/istio.sh
@@ -0,0 +1,6 @@
+#!/bin/bash
+
+/vagrant/istio/deploy.sh
+/vagrant/istio/bookinfo.sh
+/vagrant/istio/clean_bookinfo.sh
+
diff --git a/src/vagrant/kubeadm/worker_setup.sh b/src/vagrant/kubeadm/worker_setup.sh
index 858cafd..ac24698 100644
--- a/src/vagrant/kubeadm/worker_setup.sh
+++ b/src/vagrant/kubeadm/worker_setup.sh
@@ -2,5 +2,5 @@
set -ex
-sleep 120
+sleep 300
sudo kubeadm join --discovery-token-unsafe-skip-ca-verification --token 8c5adc.1cec8dbf339093f0 192.168.1.10:6443